<?php
declare(strict_types=1);

namespace App\Master\Enum;

use Hyperf\Constants\AbstractConstants;
use Hyperf\Constants\Annotation\Constants;

#[Constants]
class RedisKeyEnum extends AbstractConstants
{
    /**
     * @Message("用户信息")
     */
    const ORDER_NO                 = 'ORDER_NO:';                // 订单编号
    const NO                       = 'NO:';                // 编号
    const API_REQUEST_TRAFFIC      = 'API_REQUEST_TRAFFIC:';     // 接口流量
    const WX_MINI_APP_ACCESS_TOKEN = 'WX_MINI_APP_ACCESS_TOKEN:';// 微信 小程序 access_token
    const TOKEN_ONCE               = 'TOKEN_ONCE:';              // 设置唯一token
    const TOKEN_TIME               = 'TOKEN_TIME:';              // 设置token时间
    const SEND_SMS_TIMEOUT_TIMES   = 'SEND_SMS_TIMEOUT_TIMES:';  // 短信发送次数限制
    const SEND_SMS_MOBILE          = 'SEND_SMS_MOBILE:';         // 手机号短信发送次数
    const FA_SITE_SETUP            = 'FA_SITE_SETUP:';           // fastadmin site.php
    const API_DRIVER_SKILL_ORDER   = 'API_DRIVER_SKILL_ORDER:';     // 司机抢单
    const UNI_PUSH_TOKEN           = 'UNI_PUSH_TOKEN:';     // 个推token
    const USER_DRIVER_CHAT_DEL     = 'USER_DRIVER_CHAT_DEL:';     // 删除用户司机聊天框

    //toupiaoh5
    const VOTE_RECORD              = 'VOTE_RECORD:';                    //用户今天投票次数
    const EAXM_TIMES               = 'EAXM_TIMES:';                     //用户今天答题次数
    const EAXM_RIGHT               = 'EAXM_RIGHT:';                     //用户今天答对次数
}
