<?php
declare(strict_types=1);

namespace App\Master\Framework\Library\Extend;

use App\Model\Framework\SysModulePageModel;
use App\Model\Framework\SysSetupModel;

class Module{
    public static function _SetupModule($tables){
        $value = SysSetupModel::where('tables', $tables)->value('values');
        return json_decode(
            $value ?: '{}',
            true);
    }

    public static function _ModulePages($tables){
        $value =  SysModulePageModel::where('tables', $tables)->value('values');
        return json_decode(
            $value ?: '{}',
            true);
    }
}