<?php

declare(strict_types=1);
/**
 * This file is part of Hyperf.
 *
 * @link     https://www.hyperf.io
 * @document https://hyperf.wiki
 * @contact  group@hyperf.io
 * @license  https://github.com/hyperf/hyperf/blob/master/LICENSE
 */
use function Hyperf\Support\env;
$app_debug = (bool)env('APP_DEBUG', false);

// 接管日志
$toLog = $app_debug ? [] : [\Hyperf\Contract\StdoutLoggerInterface::class => \App\Service\StdoutLoggerFactory::class];

return array_merge($toLog,[

]);
