<?php

declare(strict_types=1);

/**
 * This file is part of Hyperf.
 *
 * @link     https://www.hyperf.io
 * @document https://hyperf.wiki
 * @contact  group@hyperf.io
 * @license  https://github.com/hyperf/hyperf/blob/master/LICENSE
 */

use function Hyperf\Support\env;

return [
    'default' => [
        // 驱动方式
        'type'      => env('TOKEN_TYPE', 'Redis'),
        // 缓存前缀
        'key'       => env('TOKEN_KEY', 'BgCYelhLFAN9a54u1tyPk67cMRZs3vni'),
        // 加密方式
        'hash_algo' => 'ripemd160',
        // 缓存有效期 0表示永久缓存
        'expire'    => 0,
    ]
];
