<?php

declare(strict_types=1);
/**
 * This file is part of Hyperf.
 *
 * @link     https://www.hyperf.io
 * @document https://hyperf.wiki
 * @contact  group@hyperf.io
 * @license  https://github.com/hyperf/hyperf/blob/master/LICENSE
 */
use Hyperf\HttpServer\Router\Router;
use App\Middleware\ApiAgent;

Router::addGroup('/api', function () {
    require BASE_PATH . '/routes/api/routes.php';
}, ['middleware' => [ApiAgent::class]]);
